
Katello - Feature #21648

Red Hat Repositories: preload popular repository sets

11/13/2017 03:10 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee:    

Category: Web UI   

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/743
Description

We should prefetch the popular red hat repository sets and display those at the top of the "available" list.

Display as table rows up top with some sort of visual indicator

Correlate suggested items upon search (simple text matching)

Ideally don’t show them if they are already completely enabled

Ability to hide/turn off
Related issues:

Blocks Katello - Tracker #21151: Add react based Red Hat repositories page to... Closed

Associated revisions

Revision 09cecfa0 - 06/13/2018 01:45 PM - Avi Sharvit

Fixes #21648 - Red Hat Recommended Repositories

Adds recommended-repository-sets-toggler

to the available-repository-sets-list

History

#1 - 11/13/2017 03:10 PM - Walden Raines

- Blocks Tracker #21151: Add react based Red Hat repositories page to katello added

#2 - 11/13/2017 03:36 PM - Thomas McKay

I always thought it would be useful to cache results pulled from the cdn when expanding the repo sets. They don't change that often. Cache would be

cleared on manifest refresh. Also display the date (or how long ago) the results were shown. In this way if an expected repo was not present, user

could see that they potentially needed a refresh.

#3 - 11/15/2017 06:53 PM - Justin Sherrill

- translation missing: en.field_release set to 114

#4 - 11/21/2017 01:14 AM - Walden Raines

- Target version changed from 228 to 234

#5 - 11/22/2017 02:47 PM - Walden Raines

- Target version changed from 234 to 237

#6 - 12/12/2017 01:43 PM - Walden Raines

- Target version changed from 237 to 239

#7 - 01/03/2018 01:56 PM - Walden Raines
- Target version changed from 239 to 243

#8 - 02/13/2018 02:05 PM - Walden Raines

- Target version changed from 243 to 248

#9 - 03/06/2018 01:48 PM - Walden Raines

- Target version changed from 248 to 250

#10 - 03/27/2018 02:00 PM - Walden Raines

- Description updated

#11 - 03/27/2018 03:23 PM - Walden Raines

- Target version changed from 250 to 253

#12 - 04/17/2018 03:00 AM - Walden Raines

- Description updated

#13 - 06/07/2018 04:46 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- translation missing: en.field_release deleted (114)

- Pull request https://github.com/Katello/katello/pull/7434 added

#14 - 06/07/2018 11:38 PM - Walden Raines

- translation missing: en.field_release set to 338

#15 - 06/13/2018 02:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|09cecfa093b7755c7deac4c7459a3690c865ec8d.

#16 - 06/18/2018 08:56 PM - Walden Raines

- Target version deleted (253)
